local addon 		= ...
local f				= CreateFrame("Frame")
local msgcolor		= BLUE_FONT_COLOR
local chatframe		= SELECTED_CHAT_FRAME
local disable		= false

local function printf(msg)
	if not msg then return end
	local output = (addon..": "..msg)
	local colorstring = msgcolor:WrapTextInColorCode(output)
	chatframe:AddMessage(colorstring)
end

local function nuke()
	if C_CVar.GetCVar("LibOpenRaidTempCache") and C_CVar.GetCVar("LibOpenRaidTempCache") ~= "0" then
		C_CVar.SetCVar("LibOpenRaidTempCache", "0")
		C_CVar.SetCVar("LibOpenRaidTempCacheDebug", "0")
		printf("LibOpenRaidTempCache found and deleted.")
	end
end

f:SetScript("OnEvent", function(self, event, arg1, ...)
	if event == "PLAYER_ENTERING_WORLD" then
		--printf("Loaded.")
		f:UnregisterEvent("PLAYER_ENTERING_WORLD") --run once not on every instance
		if IsAddOnLoaded("Details") then
			OpenRaidLibFrame:UnregisterEvent("PLAYER_LOGOUT") --need the frame to exist
			--printf("OpenRaidLibFrame's PLAYER_LOGOUT event is now unregistered.")
		end
		nuke()
		if disable then DisableAddOn(addon, UnitName("player")) end --disable addon via update when the bug is fixed
	end
	if event == "PLAYER_LOGOUT" then
		nuke()
	end
end)

SlashCmdList["DETAILSFIX"] = function()
	printf("LibOpenRaidTempCache = " .. (C_CVar.GetCVar("LibOpenRaidTempCache") or "Not Found"))
end
SLASH_DETAILSFIX1 = '/df'

f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("PLAYER_LOGOUT")
